precision mediump float;

attribute vec3 vertPosition;
attribute vec3 vertColor;

uniform mat4 virtualModelViewMatrix;
uniform mat4 virtualProjectionMatrix;

uniform mat4 realViewMatrix;
uniform mat4 realProjectionMatrix;

uniform vec3 colorOverride;

varying vec3 fragColor;

void main() {
	if (colorOverride != vec3(0)) {
		fragColor = colorOverride;
	} else {
		fragColor = vertColor;
	}
	gl_Position = realProjectionMatrix * realViewMatrix * virtualProjectionMatrix * virtualModelViewMatrix * vec4(vertPosition, 1.0);
}